woocommerce

Update WooCommerce Urgently to plug Critical Vulnerability Detected

/
Left unattended, hackers may gain information which could include order, customer, and administrative data.